blaze-markup-0.7.1.1: A blazingly fast markup combinator library for Haskell

Safe Haskell | None
Language | Haskell98

Text.Blaze.Renderer.Pretty

Description

A renderer that produces pretty HTML, mostly meant for debugging purposes.

Synopsis

- renderMarkup :: Markup -> String
- renderHtml :: Markup -> String

# Documentation

renderMarkup :: Markup -> String #

Render markup to a lazy `String`. The result is prettified.

renderHtml :: Markup -> String #

Deprecated: Use renderHtml from Text.Blaze.Html.Renderer.Pretty instead